---
title: MediaKeyStatusMap.size
slug: Web/API/MediaKeyStatusMap/size
tags:
  - API
  - EncryptedMediaExtensions
  - MediaKeyStatusMap
  - Property
  - Reference
  - size
---
<p>{{SeeCompatTable}}{{APIRef("EncryptedMediaExtensions API")}}</p>

<p><span class="seoSummary">The <strong><code>size</code></strong> read-only property of the {{domxref("MediaKeyStatusMap")}} interface returns the number of key/value paIrs in the status map.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>size</em> = MediaKeyStatusMap.size;</pre>

<h3 id="Value">Value</h3>

<p>A long integer.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME','#dom-mediakeystatusmap-size','size')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.MediaKeyStatusMap.size")}}</p>
</div>
